Subject: Re: bug#45541: 28.0.50; Frequent crashes on ARM macOS

From: Alan Third <[email-masked]>
Date: Fri, 1 Jan 2021 10:40:27 +0000

On Wed, Dec 30, 2020 at 03:22:32PM +0000, Alan Third wrote:
> On Wed, Dec 30, 2020 at 03:53:01PM +0100, Philipp Stephani wrote:
> > Am Mi., 30. Dez. 2020 um 15:49 Uhr schrieb Philipp Stephani
> > <[email-masked]>:
> > > Looks like "f" isn't initialized to NULL in that function?
> > 
> > This was probably fixed with commit
> > b4911a6f0da0bfae3832b3aa0c111db4bb2f49d5 on master. I guess we should
> > backport the one-line initialization change onto the release branch,
> > since the crash is nasty and the fix is trivial.
> 
> Yes, I agree.

I've pushed a change to the emacs-27 branch to initialise f to NULL.
-- 
Alan Third